<scope> ... </scope> |

`<scope>` is defined in the Main RXML parser module. Creates a new scope for RXML variables. Variables can be changed within the `<scope>` tag without having any effect outside it.

Attributes |
extend,

Attributes

`extend`

  Copy all variables from the outer scope.

Example

source code

#

#

    <scope>
    Hello

    </scope>

    <scope extend>
    Hello
    </scope>

    "=> >

result

<scope>

# Hello

</scope> <scope extend>

# Hello

</scope>